#Sets the base image to run the rest scripts
image: esteves198/teamh:007

stages:
 - pytest
# - indvidualtesting
# - pipeline
#obtain_species:
# stage: obtain_species

#Tests the data_from_ncbi funtion from obtain_species_ncbi
job_test:
 stage: pytest

 before_script:
  - pip3 install pytest
 script:
  - python3 -m pytest -vvv tests/pytest_scripts/data_from_ncbi_test.py
#Tests the get_init_data funtion from obtain_species_ncbi
job_test_2:
 stage: pytest
 before_script:
  - pip3 install pytest
 script:
  - python3 - m pytest -vvv test/pytest_scripts/get_init_data_test.py
#Tests the get_all_species_test function from obtain_species_ncbi  
job_test_3:
 stage: pytest
 before_script:
  - pip3 install pytest
 script:
  - python3 -m pytest -vvv tests/pytest_scripts/get_all_species_test.py
 
#Tests the tree Drawing phase that uses maximum likelihood
job_test_4:
 stage: pytest
 before_script:
  - pip3 install pytest
 script:
  - python3 - m pytest -vvv test/pytest_scripts/tree_test.py
#Tests the tree Drawing phase that uses bayesian_inference
job_test_5:
 stage: pytest
 before_script:
  - pip3 install pytest
 script:
  - python3 - m pytest -vvv test/pytest_scripts/bayesian_inference_test.py
#Tests the entire gen_filter script
job_test_6:
 stage: pytest
 before_script:
  - pip3 install pytest
 script:
  - python3 - m pytest -vvv test/pytest_scripts/gen_filter_test.py
#end of it
